<template>
  <component :is="layout" v-if="layout" :class="className" />
</template>

<script lang="ts">
import { defineComponent, computed, onMounted } from "vue";
import { useRoute } from "vue-router";
import { useUserStore } from "./stores/user";

export default defineComponent({
  setup() {
    onMounted(() => {
      useUserStore().checkToken();
    });

    const layout = computed(() => {
      return useRoute().meta.layout || null;
    });

    const className = computed(() => {
      return useRoute().meta.class || null;
    });

    return { layout, className };
  },
});
</script>

<style></style>
